View Issue Details

IDProjectCategoryLast Update
0007745AVWW[All Projects] Gameplay IdeaJul 17, 2012 12:55 am
ReporterBluddyAssigned Tox4000Bughunter 
Severityminor 
Status closedResolutionwon't fix 
Product Version1.017 
Fixed in Version 
Summary0007745: JtP needs some help
DescriptionJtP is still insanely hard.

I tried it while miniaturized and using the most rapid fire spell I had, and it was still way too hard. I couldn't get more than 150m in (out of 500m) before dying. I tried it around 30 times before giving up in frustration.

The worst part by far is when you descend or ascend. Monsters will always congregate above or below you once they see you, making your chances of completing the mission very low.

This is also a mission that really benefits from having a high resolution monitor as you can see much more around you. This makes it an uneven experience for different players based on their monitor size.

I recommend putting in the detection lines from the stealth assassination missions. Perhaps the lines should only be there while you're standing still to add some challenge. So you take a break, analyze where the enemies are, and then proceed to do the next stretch, trying to remember where each enemy was.
TagsNo tags attached.
Internal WeightNew

Activities

x4000Bughunter

May 11, 2012 1:11 pm

administrator   ~0024059

These are supposed to be the ultimate combat challenges for the players who like that -- I get more complaints that these are too easy than too hard. If you don't like the JTP missions, don't play them; they are meant to be really really hard. And yes, you're at an enormous disadvantage playing with a keyboard.

Again, each mission isn't trying to be all things to all people. If there's some sort of offshoot variant of this general concept that you would find fun for your way of playing, I'm all ears -- I'm happy to do versions of things to satisfy all parties. But the people for whom the current JTP missions were created would be really unhappy if I toned them down at all.

Bluddy

May 11, 2012 1:16 pm

reporter   ~0024060

If it's a hardcore only mission, please lock it up and put it as an option in the menus. The tiny minority who enjoys this mission should know how to unlock it.

x4000Bughunter

May 11, 2012 1:19 pm

administrator   ~0024061

See, and what if you don't like puzzles, like eRaser? Then lock those up in menus also? How about lava escape?

I prefer to have as little done through menus as possible, but rather to have things be choices that are available through gameplay.

The fact is that we need more mission types so that having one mission type that particularly bugs someone doesn't seem like such a big deal.

Izumi5

May 11, 2012 1:23 pm

reporter   ~0024062

My advice on winning this mission: use detectability enchants (torso) and piercing spells. The enchants will indicate the position of enemy afar, and the spells take out multiple enemy with one shot. Of course, you can still fail and maybe take 5 times or something.

Bluddy

May 11, 2012 1:39 pm

reporter   ~0024063

Thanks Izumi. From your advice and more advice in the forum, it seems like you can cheese these missions with these enchants and a couple more.

In my opinion, a design element that is infinitely hard unless you cheese it with some enchants and a certain input method (tab targeting) is broken and needs redesign. Plus it alienates a huge number of people.

And though I haven't encountered puzzles yet, if they're as annoying as people are saying they are in the forums, they need to be redesigned as well.

x4000Bughunter

May 11, 2012 1:48 pm

administrator   ~0024066

In terms of puzzles, I was referring the the anachronism missions.

In terms of the actual puzzles, they're annoying if you don't think about them at all, but it's a pretty neat mechanic if you do.

In terms of cheesing a mission with stuff that makes it too easy, certainly -- for those players who feel that JTP missions are too easy and have loopholes, we've been gradually closing the loopholes. That's more a factor of a complex set of factors interrelating rather than the mission itself needing a redesign, however. And it's more in the opposite direction of what you were advocating in the first place: making them so the loopholes don't exist, not so that they are more accessible.

I repeat my prior offer: if you have some offshoot variant of this you'd like to see that you would find fun, by all means suggest away (another topic please). But in terms of adjusting the fundamental premise of these, the answer is no.

Environ is meant to be a place with a wide variety of interesting things to do -- NOT a place where every player is going to find every last corner of the world interesting, fun, or even possible. To attempt that would be to genericize everything to the point that you shrink the design space immensely and it all becomes ho-hum the same.

If everyone hates a mission type that would be one thing -- but some folks love this. If we were forcing you to play this type of mission, and unwilling to make a variant that might be more to your tastes, that would also be another thing. But I'm not going to sit around trying to think up "what sort of redesign might meet the unseen specs that Bluddy is imagining for a mission type that he doesn't like in the first place?" If you have a design for a mission type that is a riff off of this one, but is more of a "JTP Lite," I'm seriously all ears -- I have nothing in the world against doing that.

Izumi5

May 11, 2012 1:48 pm

reporter   ~0024067

Well, some missions require you to "cheese" them. I think that's why they are locked at first. Around the time you get good enough enchants, you unlock them.

As this issue is now closed, I should've gone to the forum. Sorry for stirring this up, x4000.

x4000Bughunter

May 11, 2012 1:53 pm

administrator   ~0024068

It's not a problem.

Bluddy

May 11, 2012 2:11 pm

reporter   ~0024073

Here's a topic on the forum on this same issue. http://www.arcengames.com/forums/index.php/topic,10594.0.html
And here's another one
http://www.arcengames.com/forums/index.php/topic,10508.0.html

x4000 could you please elaborate on which people love this mission as is? I'm really not sure whom you're referring to. It seems like you're catering to a crowd of people whom I just can't find. At the same time you're alienating a huge chunk of people.

Also, when I make a complaint on mantis, it's not because I personally don't like something. It's because I look at the design element and analyze it, and I think that it has something that doesn't match human psychology. And that's where design elements have problems -- they don't match something in human psychology, which is to say the average psychology that most people go by. At the same time, I'm always open to the idea that my perception was wrong, or that I was experiencing the game with certain expectations or methods of playing that affected my judgement. But I don't see that happening in this case because I don't see people defending this mission as it is.

Are there a few people who like Super Meat Boy-like challenges, who have a masochistic streak in them? Sure. But you know what? They're probably not playing this game in the first place. This game is not nearly intense enough for those kind of people, nor does the movement of the characters have enough momentum, nor does the animation feel fluid enough for them. They need games built especially for them. Catering to them is a waste of your time, and it drives away the people who do like this game. Also, even Super Meat Boy did its best to introduce a large audience to its hardcore mechanics.

Regarding the anachronism mission -- that mission has been fixed. It had serious problems, and eRaser noted them very well -- puzzles aren't fun when they're instant lose, and when the knowledge for them is so uncertain, and when knowledge of the solution gives you such an edge. But now it's been turned into an amazing mission with the last changes you made, because it educates you about the right things to kill without penalizing you too heavily. So advanced knowledge about the puzzle is helpful but not a must.

Regarding fixing JtP -- I don't have a solution that wasn't mentioned in the forum topics mentioned above. Disable most enchants to prevent cheesing, and allow some kind of mechanism to see where enemies are would be the way to go. Then you have to test that it doesn't become too easy, which is where my suggestion comes in that you only see detection lines while standing still.

x4000Bughunter

May 11, 2012 2:30 pm

administrator   ~0024075

Well, Terraziel I recall really liking them, for one. Perhaps his opinions have changed, but last I heard that was the case. And then whoever suggested it (might have been him).

I also recall that a lot of people leapt to its defense back when it was insta-death. BobTheJanitor comes to mind in terms of wanting to retain the challenge but not the penalty; which we have done. And I recall other folks talking about how they liked the challenge, but didn't like having to walk back to the start of the mission after losing (which we then also fixed).

My experience has been that the people who don't like something always outnumber the people who like something in a group of people speaking, partly because the folks who don't like something are the only ones really incentivized to speak up.

In terms of the anachronism missions, we actually completely broke them -- and they remain broken -- as a puzzle. The people who wanted the puzzle elements are pretty unhappy about that last I heard. The major anachronism mission type with the variant where there's testing that you have to do to figure out what to kill (no memorization possible) is something that I think they are still waiting on. But others had been arguing against even that as being a variant because "it should be about skill and not puzzles." I'm quite happy with the current anachronism missions as well, but they are tests of skill and not puzzles -- so in terms of what the original puzzle-desiring players asked for, they are now a failure.

I honestly don't care if 70% of players dislike a given mission type. In some respects that's almost a good thing, if we have enough mission types -- that means that 30% of people are liking or loving each mission type, and with enough mission types everybody has a huge variety of stuff that they can do that they find fun, without ever feeling pressured to do something they don't like to do. And the game retains this crazy wide-open decision space.

At any rate, I'm not saying that they don't need any changes whatsoever -- but adding in detection lines and similar doesn't really seem like the way to go. I'll make some tweaks in the next version to keep these more combat-oriented rather than a mix of platforming and combat, and we'll see how that does.

Bluddy

May 11, 2012 2:56 pm

reporter   ~0024080

Last edited: May 11, 2012 2:58 pm

View 2 revisions

I'm not sure why you think the anachronism missions are broken as a puzzle. If you shoot things randomly, you will most likely die in that mission as you become overwhelmed by enemies. It's very intense (since you have to let many enemies live) while at the same time retaining that bonus of knowing which enemies to shoot. I can't survive those missions without making sure I know which area type I'm in, and unless I deduce some enemies I'm uncertain about by either testing or by using the information I have about the number that's left. It's possible that there's an enchant that messes up the feel of this mission, but I don't have it.

One of the worst things about the previous form of the mission was that sometimes you couldn't avoid killing the wrong enemy. Now you get penalized for it, but you can still beat the mission. And sometimes I get really low on health and I take a calculated risk, killing an enemy I know is incorrect just to get some health orbs.

Also, the bad thing about pure puzzles is that once you know the solution it gets boring (hence the death of adventure games with the rise of the Internet).

In terms of the mission design and the different elements and incentives that are involved, I think it's really good. I'm still of the opinion that missions aren't the strength of the game ie. I'd rather do targeted exploration over obligatory missions, but this mission is just plain good.

Also, many people will object to certain changes before seeing how they play out. I know I've been wrong about thinking certain changes would be bad when in fact they worked out very well. You'd have to poll Bob again and see what he thinks of the mission now.

Another issue is that enchants or other exploits can change the way missions play out in significant ways. This is especially true of JtP. So it's possible, for example, that someone really liked JtP so long as they could use bat form to get through it. Until you get their current opinion about the mission (assuming they tried it recently) and information about what enchants they're using, you can't be sure.

One change I think you should definitely make to JtP is to keep the level the same between tries. You should spawn the enemies again, but keep the level static. The way Super Meat Boy made its challenges palatable is by letting you iterate over a level over and over until you got it. The delay was removed so that you could die and retry the level almost instantaneously. It even saved a ghost of each run so that watching all the ghosts together once you finally succeeded was really cool. Currently JtP allows you to retry the level, but because it generates a new chunk each time, it's meaningless -- your muscle memory never learns the layout of the level and where enemies are placed, and therefore you can't prevent the mistakes you made last time. I think this change alone would completely change the feel of this level, making it more like something out of Super Meat Boy.

x4000Bughunter

May 11, 2012 3:01 pm

administrator   ~0024081

Well, one of the problem with JTP missions as they now stand is that they are testing your platforming and combat, when it's just supposed to be combat -- that has to go. That's what I want to focus on with my next iteration of these, and we'll see where we go from there.

Bluddy

May 11, 2012 3:30 pm

reporter   ~0024088

OK I'll check it out.

BTW I like the *concept* of the JtP mission. It's cool to be able to destroy any monster with one hit. Wouldn't it be cool to have a chunk type where there's some kind of magic device that allows for that? This really is the way that I'd like to see missions go. You encounter a chunk type that's a JtP chunk. JtP effects are in effect. Dying takes you back to the left of the chunk where the spawn magic point is. Entering the chunk from the right warps you to the left of it (since the missions are only one way). Now you can choose: do I want to try this mission? Maybe I just want to play around in this mode. You can attempt the mission/quest at will. If you finish the mission, you reach the right side and deactivate some of the magic. Now you can keep the chunk as a JtP chunk, but there's no goal -- you can just play around in this mode trying out different things.

When you go back to the settlement, you can check if the Illari wanted you to do this quest and if they'll reward you for it. You could have also started out with the quest and sought the chunk, but this way is more free-form.

So a uniquely designed mission, which is isolated and single purpose, has just been turned into a unique chunk with certain properties, making exploration of the world more fun. Some of these chunks can just exist as they are in JtP mode without a quest, until one is spawned back in the settlement.

Zem

May 11, 2012 5:40 pm

reporter   ~0024103

For some reason, way less platforming way more combat makes me think of Contra and Metal Slug, with differences here and there.

Large parts of it are running/shooting/dodging, killing (or being killed) with a single hit, just trying to reach the end. At times you can take a lower path and shoot down there, or sit up high on a raised path.

I just get that kinda vibe. My two cents. =)

khadgar

May 11, 2012 5:59 pm

reporter   ~0024107

Combined with Zem I'll toss my thoughts in and make a whopping four cents.

The indoor & cave variants have always been fine, because they are a lot easier to see what is where you want to go before you get there. The outdoor missions have been the only type that was ever hard/annoying. When the change was made to fail instead of die, I decided to start giving them more tries. They quickly grew to be one of my favorite mission types, merely because they posed a different challenge the the entire rest of the game. Your character stats don't matter, the tier of your spells doesn't matter, and the amount of damage reduction on your chest enchant doesn't matter. It's all about hitting the bad guys before they hit you. The outdoor types just had the added pitfall of... well, pitfalls. If you smooth those out, figure out a good way to make terrain that is challenging without being a nuisance, then I think you'll finally have reached...

( •_•)

( •_•)>⌐■-■

(⌐■_■)

...perfection!

Bluddy

May 12, 2012 9:24 pm

reporter   ~0024169

Quoting from x4000's response to my aside so my response doesn't disappear into a forest:

[quote author=x4000 link=topic=10679.msg104724#msg104724 date=1336766292]
I have to say: I really loathe quest systems, and it's one of the reasons I don't really like western RPGs. Getting me to move that direction is going to be kind of tough. ;)

In terms of more freeform missions with implicit goals... I'm also not fond of that. Then we have to have some way to track active... well, quests... and other things of that nature. Instead it's more a matter of there being various problems and there being various solutions when it comes to freeform exploration. You don't want wind in part of the map? Find a way to get a wind shelter in some fashion. Later, if an NPC is unhappy? Find something that will make him happy. Not a literal fetch quest with one solution ideally, and not something that requires us to keep track of his unhappiness or what he wants in a central fashion (us being you the players or us the coders), but rather something that is more organic.

My feelings at the moment, anyhow.
[/quote]

The idea here is not to necessarily add fetch quests as much as to make the missions more a part of the world. For example, the defend meteors mission wouldn't exist as a separate, random entity. Certain chunks would have meteors landing in it at varying rates. You could deflect the meteors to attack enemies, and of course they'd hurt you as well. The supply defense mission could then be activated in some way, whether it's by collecting a quest reward at the settlement or activating the mission at the chunk itself. The point is not that it's a quest -- that's just asynchronous vs synchronous missions. The point is that every time you come up with a cool idea for a mission, there's a corresponding way to make that idea apply to a chunk. This both adds variety to the chunks and makes the mission feel more integrated into the world -- those meteors aren't suddenly falling with no context. For example, some of the natural world generation could affect the supply defense mission (within limits) so that one of the supply thingies could be randomly underwater and therefore protected from the meteors.

Another example is umbra vortex. This would be a really fun cave chunk to play around with. It could produce endless enemies. Once you activate the mission, you'd also have to destroy the bosses. But until then, you could just play with it. And after the bosses are gone, you can still enjoy the chunk and it could provide additional challenges.

And @zebramatt: yep. Like I said, the concept is great. I agree that the main issue is that the outside generation of the mission leaves too many things to chance. I'd really be happy if the mission always instantiated the exact same chunk with the same enemy placement, so you could learn from your mistakes as you try.

Matthew Carras

Jul 17, 2012 12:55 am

reporter   ~0026812

Last edited: Jul 19, 2012 12:25 am

View 4 revisions

Right now there just isn't enough ways to effectively dodge in this game without abusing shields, which is the decidedly best way to deal with Journey to Perfection.

I'd like to see JtP adjusted for lower difficulties than "Chosen One" to be changed to "near perfection" so you can be hit more than once and still succeed. Preferably, you can take 1 hit per X seconds or 1 hit per X number of enemies killed and succeed.

An alternative could also be "cannot take more than X damage in this mission".

Edit:
Just tried some more Journey to Perfection missions and BOY are they FRUSTRATING! ARGGGHHH!!

There's nothing "hardcore" about them, in my opinion. I've been playing platformers since the early days of TSR-80 and there's a fine line between "hardcore" and "sadistic" with problems in JtP like:

- Enemies that blend into the background (usually the case, they should "glow" or something so you know they're there)

- Enemies that fire super-fast semi-homing projectiles the moment they're on your screen no matter your detectability

- Bats, which are fast as heck, beam RIGHT for you, AND usually blend into the background

- Enemies that fall from areas above you that you can't see and then fire super-fast projectiles or AoE attacks

To me the Anachronism missions are the ones that are really about "hardcore platforming", where you need to dodge most of the enemies, including their super-fast, homing projectiles (or you WILL run out of health), and make precision attacks to avoid killing native enemies.

Journey to Perfection, assuming you're not abusing Shields, is all about pausing every screen and abusing the ability to spot enemies under the cursor/tab targetting that you can't actually see. It's boring AND sadistic at the same time.

If you're going to keep JtP at this difficulty level, at least up the rewards...like better spells and maybe even throw in a building or two (also fix Shields, which make it too *easy*).

Edit: Also found out Teleporting also trivializes JtP, especially Outdoor missions where you can "fly" over all enemies. As does Storm Fist.

Issue History

Date Modified Username Field Change
May 11, 2012 1:07 pm Bluddy New Issue
May 11, 2012 1:11 pm x4000Bughunter Internal Weight => New
May 11, 2012 1:11 pm x4000Bughunter Note Added: 0024059
May 11, 2012 1:11 pm x4000Bughunter Status new => closed
May 11, 2012 1:11 pm x4000Bughunter Assigned To => x4000Bughunter
May 11, 2012 1:11 pm x4000Bughunter Resolution open => won't fix
May 11, 2012 1:16 pm Bluddy Note Added: 0024060
May 11, 2012 1:19 pm x4000Bughunter Note Added: 0024061
May 11, 2012 1:23 pm Izumi5 Note Added: 0024062
May 11, 2012 1:39 pm Bluddy Note Added: 0024063
May 11, 2012 1:48 pm x4000Bughunter Note Added: 0024066
May 11, 2012 1:48 pm Izumi5 Note Added: 0024067
May 11, 2012 1:53 pm x4000Bughunter Note Added: 0024068
May 11, 2012 2:11 pm Bluddy Note Added: 0024073
May 11, 2012 2:30 pm x4000Bughunter Note Added: 0024075
May 11, 2012 2:56 pm Bluddy Note Added: 0024080
May 11, 2012 2:58 pm Bluddy Note Edited: 0024080 View Revisions
May 11, 2012 3:01 pm x4000Bughunter Note Added: 0024081
May 11, 2012 3:30 pm Bluddy Note Added: 0024088
May 11, 2012 5:40 pm Zem Note Added: 0024103
May 11, 2012 5:59 pm khadgar Note Added: 0024107
May 12, 2012 9:24 pm Bluddy Note Added: 0024169
Jul 17, 2012 12:55 am Matthew Carras Note Added: 0026812
Jul 17, 2012 12:56 am Matthew Carras Note Edited: 0026812 View Revisions
Jul 17, 2012 8:12 am Matthew Carras Note Edited: 0026812 View Revisions
Jul 19, 2012 12:25 am Matthew Carras Note Edited: 0026812 View Revisions
Apr 14, 2014 9:30 am x4000Bughunter Category Suggestion - Gameplay => Gameplay Idea